gits_extension 0.1.1 copy "gits_extension: ^0.1.1" to clipboard
gits_extension: ^0.1.1 copied to clipboard

Superpowers for Dart. Collection of useful static extension methods.

example/main.dart

// ignore_for_file: avoid_print

import 'package:gits_extension/gits_extension.dart';

void main() {
  String? getValue() => '1';
  final value = getValue();

  value?.run((it) => print(it));
  final let = value?.let((it) => int.parse(it));
  print(let);

  int itValue = 0;
  final also = value?.also((it) {
    itValue = int.parse(it);
  });

  print(also);
  print(itValue);
}
3
likes
160
pub points
54%
popularity

Publisher

verified publishergits.id

Superpowers for Dart. Collection of useful static extension methods.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (license)

Dependencies

flutter, time

More

Packages that depend on gits_extension